### Signal

# Ide LspClient::published-diagnostics

#### Declaration

    void
    published_diagnostics (
      IdeLspClient* self,
      GioFile* object,
      IdeDiagnostics* p0,
      gpointer user_data
    )

#### Description

No description available.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`object` | `GFile`
| No description available.
| The data is owned by the caller of the function.
`p0` | `IdeDiagnostics`
| No description available.
| The data is owned by the caller of the function.